%This M-Function was created automatically by PSG Toolbox.
%See section "Special Subroutines in Toolbox -> User Subroutine in Toolbox" in PSG Help Manual.
%
%Input variables:
%
%Inputs                              PSG Type    PSG Object                Location in Problem Statement         Class
%matrix_scenarios_large_benchmark    bench       matrix_scenarios_large    logexp_sum(matrix_scenarios_large)    double
%matrix_scenarios_large_data         data        matrix_scenarios_large    logexp_sum(matrix_scenarios_large)    double
%matrix_scenarios_large_vars         vars        matrix_scenarios_large    logexp_sum(matrix_scenarios_large)    cell
%
%Output variables:
%
%solution_str = string with solution of problem;
%outargstruc_arr = array of output PSG data structures;


function [solution_str,outargstruc_arr] = Optimization_subroutine(matrix_scenarios_large_benchmark,matrix_scenarios_large_data,matrix_scenarios_large_vars)

%Pack data to PSG structure:
count = 0;
count = count+1;
iargstruc_arr(count) = matrix_pack('matrix_scenarios_large',matrix_scenarios_large_data,matrix_scenarios_large_vars,matrix_scenarios_large_benchmark,[]);
%Define problem statement:
problem_statement = sprintf('%s\n',...
'maximize',...
'  logexp_sum(matrix_scenarios_large)',...
'',...
'',...
' ');
%Change parameters with their values in problem statement:

%Optimize problem using mpsg_solver function:
[solution_str, outargstruc_arr] = mpsg_solver(problem_statement, iargstruc_arr);
results = psg_convert_outargstruc(solution_str,outargstruc_arr);
outargstruc_arr = results.data;
solution_str = results.string;

%=======================================================================|
%American Optimal Decisions, Inc. Copyright                             |
%Copyright American Optimal Decisions, Inc. 2007-2016.                 |
%American Optimal Decisions (AOD) retains copyrights to this material.  |
%                                                                       |
%Permission to reproduce this document and to prepare derivative works  |
%from this document for internal use is granted, provided the copyright |
%and No Warranty  statements are included with all reproductions       |
%and derivative works.                                                  |
%                                                                       |
%For information regarding external or commercial use of copyrighted    |
%materials owned by AOD, contact AOD at support@aorda.com.              |
%=======================================================================|
 

